Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1288737 (openmeeg) - Review Request: openmeeg - Low-frequency bio-electromagnetism solving forward problems in the field of EEG and MEG
Summary: Review Request: openmeeg - Low-frequency bio-electromagnetism solving forward...
Keywords:
Status: CLOSED DUPLICATE of bug 1560495
Alias: openmeeg
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Antonio Trande
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: gifticlib
Blocks: FE-DEADREVIEW 1560495
TreeView+ depends on / blocked
 
Reported: 2015-12-05 18:24 UTC by Igor Gnatenko
Modified: 2018-03-28 19:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-28 19:36:06 UTC


Attachments (Terms of Use)

Description Igor Gnatenko 2015-12-05 18:24:03 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/openmeeg.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/openmeeg-2.3-0.1.git7d23602.fc24.src.rpm
Description:
The OpenMEEG software is a C++ package for solving the forward problems of
electroencephalography (EEG) and magnetoencephalography (MEG).
Fedora Account System Username: ignatenkobrain

Comment 1 Antonio Trande 2015-12-05 19:12:24 UTC
- Your package needs 'nifticlib' libraries, it cannot be built as is now.
Have you tested a scratch build?

- You could include the documentation and Python binding

- Shouldn't you compile with OpenMPI to get the Parallel computation?

Comment 2 Igor Gnatenko 2015-12-05 20:20:14 UTC
(In reply to Antonio Trande from comment #1)
> - Your package needs 'nifticlib' libraries, it cannot be built as is now.
> Have you tested a scratch build?
Yes, weird. I will add it.
> 
> - You could include the documentation and Python binding
I will add it in the future, not now.
> 
> - Shouldn't you compile with OpenMPI to get the Parallel computation?
Is there OpenMPI support? O_o

Comment 3 Antonio Trande 2015-12-05 20:31:34 UTC
(In reply to Igor Gnatenko from comment #2)
> > - Shouldn't you compile with OpenMPI to get the Parallel computation?
> Is there OpenMPI support? O_o

-DUSE_OMP=ON ?

Comment 4 Igor Gnatenko 2015-12-05 20:38:40 UTC
(In reply to Antonio Trande from comment #3)
> (In reply to Igor Gnatenko from comment #2)
> > > - Shouldn't you compile with OpenMPI to get the Parallel computation?
> > Is there OpenMPI support? O_o
> 
> -DUSE_OMP=ON ?

OpenMP != OpenMPI

Comment 6 Upstream Release Monitoring 2015-12-06 11:15:27 UTC
sagitter's scratch build of openmeeg-2.3-0.2.git7d23602.fc24.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12083843

Comment 7 Antonio Trande 2016-03-09 17:54:26 UTC
This package failes on rawhide; please, take a look.

Comment 8 Igor Gnatenko 2016-09-06 16:14:43 UTC
I didn't see notification. I will adress FTBFS ASAP.

Comment 9 Antonio Trande 2018-03-24 10:41:08 UTC
@Igor

Are you still interested to OpenMEEG?
I'm preparing a new SRPM for reviewing...

Comment 10 Antonio Trande 2018-03-28 19:36:06 UTC
I'm closing this ticket.
Igor, let me know if you wish co-maintain OpenMEEG.

*** This bug has been marked as a duplicate of bug 1560495 ***


Note You need to log in before you can comment on or make changes to this bug.